Index: Makefile
===================================================================
--- Makefile	(revision 5953)
+++ Makefile	(revision 0)
@@ -1,83 +1,9 @@
-include Makefile.conf
-include Makefile.inc
-
-COMP_LIB=$(subdir_libroaresd) $(subdir_libroarsndio) $(subdir_libroaryiff) $(subdir_libroarpulse) $(subdir_libroararts) $(subdir_libroaross) $(subdir_libroarrsound)
-
-SUBDIRS=$(comp_libs) $(COMP_LIB) $(comp_comp_bins) $(comp_clients) $(comp_roard) $(comp_doc)
-
-PLUGINS=$(subdir_plugins_ao) $(subdir_plugins_xmms) $(subdir_plugins_audacious) $(subdir_plugins_roard) $(subdir_plugins_universal)
-
-CKPORTDB=libroar.ckport
-
-SUFFIX_LIB=$(SHARED_SUFFIX).$(COMMON_SOVERSION)
-
-ifeq ($(TARGET_TYPE),win32)
-SYMLINKPREFIX_ROOT=$(DESTDIR)
-SYMLINKPREFIX=$(SYMLINKPREFIX_ROOT)$(PREFIX_LIB)/
-else
-SYMLINKPREFIX_ROOT=
-SYMLINKPREFIX=
-endif
+SUBDIRS=libroar libroaresd roard roarclients
 
 all:
-	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) all; cd ..; done;
-	set -e; for i in ${PLUGINS}; do cd $$i; $(MAKE) all; cd ../..; done;
+	for i in ${SUBDIRS}; do make -C $$i all; done;
 clean:
-	rm -f lib/* || true
-	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) clean; cd ..; done;
-	set -e; for i in ${PLUGINS}; do cd $$i; $(MAKE) clean; cd ../..; done;
-	set -e; cd tests/; $(MAKE) clean; cd ..;
-
-distclean: clean
-	rm -f Makefile.conf config.log include/roaraudio/config.h
+	rm -f lib/*
+	for i in ${SUBDIRS}; do make -C $$i clean; done;
 
 new: clean all
-
-test: all
-	set -e; cd tests; $(MAKE) test; cd ..;
-
-build-pc-files:
-	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for lib in $(comp_libs); do $(EXEC_HELPER) ./lib/roar-config --output-pc $$lib > lib/$$lib.pc; done; fi
-
-prep-install: prep-install-dirs build-pc-files
-
-prep-install-dirs:
-	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
-	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
-	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
-	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'
-	mkdir -p '$(DESTDIR)$(PREFIX_PC)'
-	mkdir -p '$(DESTDIR)$(PREFIX_COMP_LIBS)'
-	mkdir -p '$(DESTDIR)$(PREFIX_COMP_BINS)'
-	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'
-	mkdir -p '$(DESTDIR)$(PREFIX_PLUGINS)/universal/universal/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)'
-	mkdir -p '$(DESTDIR)$(PREFIX_PLUGINS)/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/universal/'
-	mkdir -p '$(DESTDIR)$(PREFIX_PLUGINS)/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/roard/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)'
-	mkdir -p '$(DESTDIR)$(PREFIX_BUILDSYSTEM)'
-	set -e; cd doc; $(MAKE) prep-install-dirs; cd ..
-
-install: prep-install
-	cp $(cp_v) lib/roar*     '$(DESTDIR)$(PREFIX_BIN)'
-	cp $(cp_v) $(CKPORTDB)   '$(DESTDIR)$(PREFIX_CKPORT)'
-	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then cp $(cp_v) lib/*.pc      '$(DESTDIR)$(PREFIX_PC)'; fi
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do cp $$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $(SYMLINKPREFIX)$$file.$(COMMON_SOVERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file; done'
-	sh -c 'set -e; cd lib; while read d t; do if [ -e '$(DESTDIR)$(PREFIX_LIB)'/$$d$(SUFFIX_LIB) ]; then ln -fs '$(SYMLINKPREFIX_ROOT)$(PREFIX_LIB)'/$$d$(SUFFIX_LIB) '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; fi; done < ../symlinks.comp'
-	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; cp $$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
-	sh -c 'set -e; for file in include/roar* include/lib*; do cp $(cp_v) -r $$file '$(DESTDIR)$(PREFIX_INC)'/; done'
-	set -e; cd doc; $(MAKE) install; cd ..
-	set -e; for i in $(PLUGINS); do if [ "$$i" != '' ]; then cd $$i; $(MAKE) install; cd ../..; fi; done
-	cp $(cp_v) build-system/*.*     '$(DESTDIR)$(PREFIX_BUILDSYSTEM)'
-
-semi-install: prep-install
-	sh -c 'set -e; for file in lib/roar*;    do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_BIN)'/; done'
-	ln -fs `pwd`/$(CKPORTDB) '$(DESTDIR)$(PREFIX_CKPORT)/'
-	sh -c 'set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for file in lib/*.pc;     do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PC)'/; done; fi'
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/; done'
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
-	sh -c 'set -e; cd lib; while read d t; do if [ -e `pwd`/$$d$(SHARED_SUFFIX) ]; then ln -fs `pwd`/$$d$(SHARED_SUFFIX) '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; fi; done < ../symlinks.comp'
-	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
-	sh -c 'set -e; for file in include/roar* include/lib*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_INC)'/; done'
-	set -e; cd doc; $(MAKE) semi-install; cd ..
-	set -e; for i in $(PLUGINS); do if [ "$$i" != '' ]; then cd $$i; $(MAKE) semi-install; cd ../..; fi; done
-	ln -fs `pwd`/build-system/*.* '$(DESTDIR)$(PREFIX_BUILDSYSTEM)'
Index: README
===================================================================
--- README	(revision 6041)
+++ README	(revision 0)
@@ -3,123 +3,3 @@
            ---------------------
 
---- What is RoarAudio?:
 
-RoarAudio is a cross-platform sound system for both, home and professional use.
-It can be used to mix audio for output on a single-stream soundcard or to play
-audio over the network.
-
-For more Information see our website at:
-http://roaraudio.keep-cool.org/
-
---- Build:
-
--- Build requirements:
-
-A POSIX system or win32.
-
-You should install libesd and libao and maybe some codecs.
-For Debian you may use this command:
- $ apt-get install build-essential libdnet-dev libesd0-dev libao-dev libvorbis-dev libspeex-dev libspeexdsp-dev libshout3-dev liboggz2-dev libslp-dev libx11-dev
-
-Note that in case you want to use any emulation you need to install the corresponding
-sound system on the build system as we are using headers and other files from those
-sound systems to be most compatible. You can safely uninstall them after building
-RoarAudio has been completed.
-
-The following binarys are suggested to be installed, too:
- gnupg, openssh-client, socat, wget
-
-Also you maybe want to install µRoar and µRoarD (on debian libmuroar* and muroard).
-
--- How to build:
-
- $ ./configure
- $ make
-
-In order to build win32 binarys on UNIX or GNU/Linux:
- $ CC=...mingw32...gcc ./configure --target-win32
- $ make
-
-In order to build win32 binarys on Win32 with MinGW/MSYS:
- $ bash configure
- $ make
-
-Building on OpenVMS:
- Ask on the RoarAudio Mailinglist.
-
---- Plugins:
-
-Plugins should be build automaticly since 0.2rc2.
-
---- Writing software for RoarAudio:
-
-See manpages: libroar(7) and roartut(7).
-You also should read the example code in roarclients/*.c
-
---- Writing patches for this packet:
-
-See HACKING.
-
---- Want to be a maintainer for your favorite OS?:
-
-See HACKING.
-
---- Tested platforms:
-
-OPERATING SYSTEM	ARCH	COMPILER	TESTED		M/STATUS	COMMENT
-AND VERSION					VERSION
----------------------------------------------------------------------------------------------------
-Debian Etch		ix86	gcc 4.1.2	1.0b11		s/OK
-Debian Etch		x86_64	gcc 4.1.2	1.0b9p1		s/OK
-Debian Lenny		ix86	gcc 4.3.2	1.0b2		s/OK
-Debian Lenny		x86_64	gcc 4.3.2	0.4b2		s/OK		No speex (why?)
-Debian ?		x86_64	gcc 4.3.4	0.3b3		m/OK
-Debian Squeeze		*	*		0.3		M/OK
-Debian Squeeze		i686	gcc 4.4.5	current		s/OK
-Debian Wheezy		x86_64	gcc 4.7.2	last		s/OK
-Debian Sid		ix86	gcc ?		1.0b2		M/OK
-Debian Sid		ix86	clang 2.7	0.4b4		s/WIP		Use --no-fishsound. roard broken. Why?
-Debian Sid		*	*		*		M/OK
-Debian Sid		x86_64	gcc 4.7.1	1.0b7		M/OK
-Debian Sid		x86_64	gcc 4.7.2	1.0b9p1		M/OK
-Ubuntu 9.04		ix86	gcc 4.3.3	0.2rc2		s/OK
-archlinux ?		i686	gcc 4.3.2	0.4rc0		M/OK
-Gentoo 1.12.11.1	i686	gcc 4.3.2-r3	0.3b0		s/OK
-NetBSD 1.6.1		Alpha	gcc 2.95.3	0.3b7		s/OK		gcc too old,
-										does not support debug macros
-NetBSD 4.0		i386	gcc 4.1.2	0.2		s/OK		need to use --roard-cfreq 20
-NetBSD 5		x86_64	gcc 4.1.3	0.2b?		s/?
-OpenBSD ?		x86_64	gcc ?		0.2rc2		s/OK
-OpenBSD 4.4		i386	gcc 3.3.5	1.0b11		s/OK
-OpenBSD 4.5		i386	gcc 3.3.5	0.2rc2		s/OK
-OpenBSD 5.0		x86_64	gcc 4.2.1	1.0b9p1
-OpenVMS V8.3		Alpha	HP C V7.3-009	0.4b1		s/WIP		Work in process. Ask on ML.
-FreeBSD 6.2		i386	gcc 3.4.6	0.1b4		s/OK
-FreeBSD 7.1		i386	gcc 4.2.1	0.2		s/OK
-FreeBSD 7.2		i386	gcc 4.2.1	0.4b0		s/OK
-FreeBSD 7.3		i386	gcc 4.2.1	1.0b0		s/OK
-FreeBSD 7.4		i386	gcc 4.2.1	1.0b9p0		s/OK
-OpenSolaris 5.11	i386	gcc 3.4.3	?		s/OK
-Darwin 9.4.0		i386	gcc 4.0.1	0.1b?		s/OK
-Cygwin 1.5.25		i686	gcc 3.4.4	0.3b6		s/Client+	Client libs work, roard only partly,
-										Problems with libroaross,
-										need to be disabled.
-										Hostsystem: WinXP Home
-WinXP Home		ix86	mingw 3.4.5	0.3		s/Client+	Some Clients work, roard only partly
-										was build on Debian Etch
-Wine 0.9.25		ix86	mingw 3.4.5	1.0b9p0		s/Client+	Some Clients work, roard only partly
-										Hostsystem: Debian Etch
-WinXP/MSys		ix86	mingw 4.7.0	1.0b11		m/OK		Automatic Build Bot.
-
-Tested Version:
-	Current:	Current as listed on Homepage
-	last:		Last released version (This system is on release checklist)
-	*b*:		Beta
-	*p*		Pre-Release
-
-Status: Maintenance/testing Status:
-Maintenance:	s = your are on your own, sources.
-		m = package in work, beta package
-		M = maintained
-		S = maintained source package
-		B = maintained binary package
Index: include/libroar/auth.h
===================================================================
--- include/libroar/auth.h	(revision 6052)
+++ include/libroar/auth.h	(revision 0)
@@ -1,36 +1,3 @@
 //auth.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
 
 #ifndef _LIBROARAUTH_H_
@@ -39,25 +6,5 @@
 #include "libroar.h"
 
-struct roar_auth_message {
- int type;
- int stage;
- union {
-  char     c[2];
-  uint16_t ui16;
- } reserved;
- void * data;
- size_t len;
-};
-
 int roar_auth   (struct roar_connection * con);
-
-int roar_auth_from_mes(struct roar_auth_message * ames, struct roar_message * mes, void * data);
-int roar_auth_to_mes(struct roar_message * mes, void ** data, struct roar_auth_message * ames);
-
-int roar_auth_init_mes(struct roar_message * mes, struct roar_auth_message * ames);
-
-
-int    roar_str2autht(const char * str);
-const char * roar_autht2str(const int auth);
 
 #endif
Index: include/libroar/basic.h
===================================================================
--- include/libroar/basic.h	(revision 6052)
+++ include/libroar/basic.h	(revision 0)
@@ -1,36 +1,3 @@
-//basic.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
+//libroarbasic.h:
 
 #ifndef _LIBROARBASIC_H_
@@ -41,18 +8,4 @@
 #define LIBROAR_BUFFER_SMALL   80
 #define LIBROAR_BUFFER_MSGDATA LIBROAR_BUFFER_SMALL
-#define _ROAR_MESSAGE_VERSION 0
-
-#if ROAR_MAX_CHANNELS > (LIBROAR_BUFFER_SMALL - 10)
-#error ROAR_MAX_CHANNELS too large change ROAR_MAX_CHANNELS or LIBROAR_BUFFER_SMALL
-#endif
-
-#define ROAR_CON_FLAGS_NONE        0x00000000UL
-#define ROAR_CON_FLAGS_FH          0x00000001UL /* obsoleted */
-#define ROAR_CON_FLAGS_VIO         0x00000002UL /* mandatory */
-#define ROAR_CON_FLAGS_ISCLIENT    0x00000004UL
-#define ROAR_CON_FLAGS_SUPPORT_V2  0x00000008UL /* mandatory if con.version == 2 */
-#define ROAR_CON_FLAGS_SUPPORT_EF  0x00000010UL /* Both peers support error frames */
-#define ROAR_CON_FLAGS_FREESELF    0x00000020UL /* Free the connection object */
-#define ROAR_CON_FLAGS_TERMINATE   0x00000040UL /* Send TERMINATE before QUIT */
 
 struct roar_message {
@@ -60,74 +13,28 @@
  unsigned int stream;
  uint32_t pos;
- size_t datalen;
+ int datalen;
  char data[LIBROAR_BUFFER_MSGDATA];
- int16_t seq;
- int32_t flags;
- int32_t crc;
- int version;
- uint64_t pos64;
 };
 
-struct roar_stds; // "caps.h" will be included later.
-
 struct roar_connection {
- size_t refc;
- uint32_t flags;
- int version;
- struct roar_vio_calls * viocon;
- struct roar_vio_calls   viocon_store;
- struct roar_error_frame errorframe;
- void * cb_userdata;
- void (*cb)(struct roar_connection * con, struct roar_message * mes, void * data, void * userdata);
- struct roar_stds * server_stds;
- char * server_name;
+ int fh;
 };
 
 
-int roar_connect      (struct roar_connection * con, const char * server, int flags, uint_least32_t timeout);
-int roar_connect_none (struct roar_connection * con);
-int roar_connect_vio  (struct roar_connection * con, struct roar_vio_calls * vio);
-int roar_connect_fh   (struct roar_connection * con, int fh);
-int roar_get_connection_fh  (struct roar_connection * con);
-struct roar_vio_calls * roar_get_connection_vio2 (struct roar_connection * con);
-const char * roar_get_connection_server(struct roar_connection * con);
-int roar_connectionref(struct roar_connection * con);
-int roar_connectionunref(struct roar_connection * con);
-#define roar_disconnect(x) roar_connectionunref((x))
+int roar_connect_raw (char * server);
 
-int roar_set_connection_callback(struct roar_connection * con,
-                                 void (*cb)(struct roar_connection * con,
-                                            struct roar_message    * mes,
-                                            void                   * data,
-                                            void                   * userdata),
-                                 void * userdata);
+int roar_connect    (struct roar_connection * con, char * server);
+int roar_disconnect (struct roar_connection * con);
 
-int roar_set_connection_version(struct roar_connection * con, int version);
-
-int16_t roar_message_genseq(struct roar_connection * con, int is_client);
-
-int roar_sync         (struct roar_connection * con);
-int roar_wait_msg     (struct roar_connection * con, int16_t seq, int16_t seqmask);
-
-int roar_noop         (struct roar_connection * con);
-
-int roar_identify     (struct roar_connection * con, const char * name);
+int roar_identify   (struct roar_connection * con, char * name);
 
 int roar_send_message (struct roar_connection * con, struct roar_message * mes, char *  data);
 int roar_recv_message (struct roar_connection * con, struct roar_message * mes, char ** data);
 int roar_req          (struct roar_connection * con, struct roar_message * mes, char ** data);
-int roar_recv_message2 (struct roar_connection * con, struct roar_message * mes, char ** data,
-                        struct roar_error_frame * errorframe);
-int roar_req2          (struct roar_connection * con, struct roar_message * mes, char ** data,
-                        struct roar_error_frame * errorframe);
-#define roar_req3(con,mes,data) roar_req2((con), (mes), (data), roar_err_errorframe())
 
-int roar_vsend_message(struct roar_vio_calls  * vio, struct roar_message * mes, char *  data);
-int roar_vrecv_message(struct roar_vio_calls  * vio, struct roar_message * mes, char ** data);
-int roar_vreq         (struct roar_vio_calls  * vio, struct roar_message * mes, char ** data);
-int roar_vrecv_message2(struct roar_vio_calls  * vio, struct roar_message * mes, char ** data,
-                        struct roar_error_frame * errorframe);
-int roar_vreq2         (struct roar_vio_calls  * vio, struct roar_message * mes, char ** data,
-                        struct roar_error_frame * errorframe);
+int roar_debug_message_print (struct roar_message * mes);
+
+int roar_debug_audio_info_print (struct roar_audio_info * info);
+
 #endif
 
Index: include/libroar/buffer.h
===================================================================
--- include/libroar/buffer.h	(revision 6052)
+++ include/libroar/buffer.h	(revision 0)
@@ -1,36 +1,3 @@
 //buffer.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
 
 #ifndef _LIBROAR_BUFFER_H_
@@ -39,81 +6,31 @@
 #include <roaraudio.h>
 
-#define ROAR_BUFFER_FLAG_NONE            0x00
-#define ROAR_BUFFER_FLAG_NOFREE          0x01
-#define ROAR_BUFFER_FLAG_RING            0x02
-#define ROAR_BUFFER_FLAG_FREE_RUNNING    0x04
-
-// for memory corruption detection:
-#define ROAR_BUFFER_FLAG_USEABLE         0x40
-#define ROAR_BUFFER_FLAG_FREED           0x80
-
-#define ROAR_BUFFER_SET                     0
-#define ROAR_BUFFER_RESET                   1
-
-#define _LIBROAR_BUFFER_STDATTRS _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL_ALL
-
-struct roar_buffer;
-
-struct roar_buffer_stats {
- size_t parts;
- size_t bytes;
- size_t memory_usage;
+struct roar_buffer {
+ size_t               len;
+ size_t               user_len;
+ void               * data;
+ void               * user_data;
+ void               * meta;
+ struct roar_buffer * next;
 };
 
-#define roar_buffer_new(a,len) roar_buffer_new_data((a), (len), NULL)
+#define roar_buffer_next(a) roar_buffer_delete(*(a), (a));
 
-#define roar_buffer_free(x)    roar_buffer_unref(x)
+int roar_buffer_new      (struct roar_buffer ** buf, size_t len);
+int roar_buffer_free     (struct roar_buffer *  buf);
+int roar_buffer_delete   (struct roar_buffer *  buf, struct roar_buffer ** next);
+int roar_buffer_add      (struct roar_buffer *  buf, struct roar_buffer *  next);
 
-#define roar_buffer_foreach(cur) for (; (cur) != NULL; (cur) = (roar_buffer_next(&(cur)) == -1) ? NULL : (cur))
+int roar_buffer_get_next (struct roar_buffer *  buf, struct roar_buffer ** next);
 
-int roar_buffer_new_no_ma(struct roar_buffer ** buf, size_t len, void * data) _LIBROAR_BUFFER_STDATTRS; // no internal malloc
-int roar_buffer_delete   (struct roar_buffer *  buf, struct roar_buffer ** next) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_next     (struct roar_buffer ** buf) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_add      (struct roar_buffer *  buf, struct roar_buffer *  next) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_moveinto (struct roar_buffer *  buf, struct roar_buffer ** next) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_moveintoqueue(struct roar_buffer ** buf, struct roar_buffer ** next) _LIBROAR_BUFFER_STDATTRS;
+int roar_buffer_get_data (struct roar_buffer *  buf, void   ** data);
 
-int roar_buffer_ref      (struct roar_buffer *  buf) _LIBROAR_ATTR_NONNULL_ALL;
-int roar_buffer_unref    (struct roar_buffer *  buf) _LIBROAR_ATTR_NONNULL_ALL;
+int roar_buffer_set_offset (struct roar_buffer *  buf, size_t off);
 
-int roar_buffer_new_data (struct roar_buffer ** buf, size_t len, void ** data) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL(1);
+int roar_buffer_set_meta (struct roar_buffer *  buf, void   *  meta);
+int roar_buffer_get_meta (struct roar_buffer *  buf, void   ** meta);
 
-int roar_buffer_new_str  (struct roar_buffer ** buf, const char * str, int terminate) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL_ALL;
-
-int roar_buffer_ring_new (struct roar_buffer ** buf, size_t len, int free_running) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_get_next   (struct roar_buffer *  buf, struct roar_buffer ** next) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_get_data (struct roar_buffer   * buf, void   ** data) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_datalen(struct roar_buffer * buf, void   ** data, size_t * len) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_set_offset (struct roar_buffer *  buf, size_t off) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_shift_out (struct roar_buffer ** buf, void * data, size_t * len) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_set_meta    (struct roar_buffer *  buf, void    *  meta) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_meta    (struct roar_buffer *  buf, void    ** meta) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_set_meta_i32(struct roar_buffer *  buf, int32_t    meta) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_meta_i32(struct roar_buffer *  buf, int32_t *  meta) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_set_type    (struct roar_buffer *  buf, int        type) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_type    (struct roar_buffer *  buf, int     *  type) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_set_len  (struct roar_buffer *  buf, size_t    len) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_len  (struct roar_buffer *  buf, size_t *  len) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_set_flag (struct roar_buffer *  buf, int flag, int reset) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_flag (struct roar_buffer *  buf, int flag) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_duplicate (struct roar_buffer *  buf, struct roar_buffer ** copy) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_ring_stats (struct roar_buffer *  buf, struct roar_buffer_stats * stats) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_ring_read  (struct roar_buffer *  buf, void * data, size_t * len) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_ring_write (struct roar_buffer *  buf, void * data, size_t * len) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_ring_avail(struct roar_buffer *  buf, size_t * readlen, size_t * writelen) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL(1);
-
-int roar_buffer_ring_reset(struct roar_buffer *  buf) _LIBROAR_BUFFER_STDATTRS;
+int roar_buffer_set_len  (struct roar_buffer *  buf, size_t    len);
+int roar_buffer_get_len  (struct roar_buffer *  buf, size_t *  len);
 
 #endif
Index: include/libroar/ctl.h
===================================================================
--- include/libroar/ctl.h	(revision 6052)
+++ include/libroar/ctl.h	(revision 0)
@@ -1,36 +1,3 @@
-//ctl.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
+//auth.h:
 
 #ifndef _LIBROARCTL_H_
@@ -39,17 +6,15 @@
 #include "libroar.h"
 
-#define _LIBROAR_CTL_STDATTRS _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL_ALL
-
-int roar_get_clientid  (struct roar_connection * con) _LIBROAR_CTL_STDATTRS;
-
-int roar_get_standby   (struct roar_connection * con) _LIBROAR_CTL_STDATTRS;
-int roar_set_standby   (struct roar_connection * con, int state) _LIBROAR_CTL_STDATTRS;
-
-int roar_terminate      (struct roar_connection * con, int terminate) _LIBROAR_CTL_STDATTRS;
-int roar_server_oinfo   (struct roar_connection * con, struct roar_stream * s, int dir) _LIBROAR_CTL_STDATTRS;
+#define ROAR_CTL_FILTER_ANY   0
 
 
-int roar_list         (struct roar_connection * con, int * items,   int max, int cmd) _LIBROAR_CTL_STDATTRS;
-int roar_list_filtered(struct roar_connection * con, int * items,   int max, int cmd, unsigned char filter, unsigned char cmp, uint32_t id) _LIBROAR_CTL_STDATTRS;
+int roar_get_standby   (struct roar_connection * con);
+int roar_set_standby   (struct roar_connection * con, int state);
+
+int roar_exit   (struct roar_connection * con);
+int roar_server_oinfo   (struct roar_connection * con, struct roar_stream * s);
+
+
+int roar_list         (struct roar_connection * con, int * items,   int max, int cmd);
 
 /*
@@ -60,11 +25,8 @@
 #define roar_list_streams(c,i,m) roar_list((c),(i),(m),ROAR_CMD_LIST_STREAMS)
 
-int roar_get_client   (struct roar_connection * con, struct roar_client * client, int id) _LIBROAR_CTL_STDATTRS;
-int roar_get_stream   (struct roar_connection * con, struct roar_stream * stream, int id) _LIBROAR_CTL_STDATTRS;
+int roar_get_client   (struct roar_connection * con, struct roar_client * client, int id);
+int roar_get_stream   (struct roar_connection * con, struct roar_stream * stream, int id);
 
-int roar_kick         (struct roar_connection * con, int type, int id) _LIBROAR_ATTR_NONNULL_ALL;
-
-int roar_set_vol      (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int   channels, int mode) _LIBROAR_CTL_STDATTRS;
-int roar_get_vol      (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int * channels) _LIBROAR_CTL_STDATTRS;
+int roar_kick         (struct roar_connection * con, int type, int id);
 
 // filter...
@@ -73,26 +35,11 @@
 #define roar_ctl_f2m_any(m) roar_ctl_f2m((m), ROAR_CTL_FILTER_ANY, ROAR_CTL_FILTER_ANY, ROAR_CTL_FILTER_ANY)
 
-int roar_filter_match (const unsigned cmp, const uint32_t a, const uint32_t b) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
 // int array
-int roar_ctl_ia2m     (struct roar_message * m, int * data, size_t len);
-int roar_ctl_m2ia     (struct roar_message * m, int * data, size_t len);
+int roar_ctl_ia2m     (struct roar_message * m, int * data, int len);
+int roar_ctl_m2ia     (struct roar_message * m, int * data, int len);
 
 // client
 int roar_ctl_c2m      (struct roar_message * m, struct roar_client * c);
 int roar_ctl_m2c      (struct roar_message * m, struct roar_client * c);
-int roar_ctl_c2m2     (struct roar_message * m, struct roar_client * c, void ** data);
-int roar_ctl_m2c2     (struct roar_message * m, struct roar_client * c, void  * data);
-
-int    roar_str2proto (const char * proto) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-const char * roar_proto2str (const int    proto) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-int    roar_str2byteorder (const char * byteorder) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-const char * roar_byteorder2str (const int    byteorder) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-int    roar_str2ot        (const char * ot) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-const char * roar_ot2str  (const int    ot) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-int roar_conv_volume (struct roar_mixer_settings * dst, struct roar_mixer_settings * src, int dstchans, int srcchans) _LIBROAR_CTL_STDATTRS;
 
 #endif
